osl::eval::ml::BishopStandFile5 Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 32 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Attributes

static CArray< MultiInt, 32 > | table

## Detailed Description

Definition at line 623 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 626 of file majorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::BishopStandFile5::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1186 of file majorPiece.cc.

References osl::altIfPiece(), osl::BISHOP, osl::BLACK, osl::SimpleState::hasPieceOnStand(), osl::SimpleState::pieceAt(), osl::Piece::ptypeO(), osl::ptypeOIndex(), table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::BishopStandFile5::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1176 of file majorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 32 > osl::eval::ml::BishopStandFile5::table

static private

Definition at line 630 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc